<?php
/**
 * PayKeeper payment handler
 * @author PayKeeper Software
 * @version 1.0
 * @package PHPShopPayment
 */
include_once(dirname(__FILE__) . "/init.php");

$PHPShopPaykeeperArray = new PHPShopPaykeeperArray();

$mod_opts = $PHPShopPaykeeperArray->getArray();


//order parameters
$mrh_ouid = explode("-", $_POST['ouid']);
$inv_id = $mrh_ouid[0] . "" . $mrh_ouid[1];         //order's number

//payment description
$inv_desc = "Оплата заказа №$inv_id";

$out_summ = $GLOBALS['SysValue']['other']['total']; //order's sum

//order html form
$formdata = array(
    "clientid"=>$_POST['fio_new'],
    "orderid"=>$inv_id,
    "sum"=>$out_summ,
    "phone"=>$_POST['tel_new'],
    "client_phone"=>$_POST['tel_new'],
    "client_email"=>$_POST['mail_new']);

//using curl
if( function_exists( "curl_init" )) {

    //build the post string
    $poststring = ""; 
    foreach($formdata as $key => $val){
        $poststring .= urlencode($key) . "=" . urlencode($val) . "&";
    }   
    // strip off trailing ampersand
    $poststring = substr($poststring, 0, -1);
        
    $CR = curl_init();
    curl_setopt($CR, CURLOPT_URL, $mod_opts['form_url']);
    curl_setopt($CR, CURLOPT_POST, 1);
    curl_setopt($CR, CURLOPT_FAILONERROR, true); 
    curl_setopt($CR, CURLOPT_POSTFIELDS, $poststring);
    curl_setopt($CR, CURLOPT_RETURNTRANSFER, 1);
     
    curl_setopt($CR, CURLOPT_SSL_VERIFYPEER, 0);
    
    $result = curl_exec( $CR );
    
    $error = curl_error( $CR );                                                  
    if( !empty( $error )) {

        $disp = "<br/><span class=message>"."INTERNAL ERROR:".$error."</span>";
        return false;
    }
    else {

        $disp = $result;
    }
    curl_close($CR);
}
//using file_get_contents
else {

    $payment_parameters = http_build_query($formdata);
    $options = array("http"=>array(
        "method"=>"POST",
        "header"=> "Content-type: application/x-www-form-urlencoded",
        "content"=>$payment_parameters));

    $context = stream_context_create($options);

    $disp = file_get_contents($mod_opts['form_url'], FALSE, $context);
}
?>
